Skip to main content
POST
/
api
/
modeltraining
/
v1.0
/
customer
/
{customerId}
/
model
/
{modelId}
/
training_v2_1
cURL
curl --request POST \
  --url https://app.allyy.io/api/modeltraining/v1.0/customer/{customerId}/model/{modelId}/training_v2_1 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "machineType": "<string>"
}
'
{
  "meta": {
    "errors": [
      {
        "code": "<string>",
        "message": "<string>"
      }
    ],
    "validation": [
      {
        "property": "<string>",
        "message": "<string>"
      }
    ],
    "info": {}
  },
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "modelConfigurationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "auc": 123,
    "algorithm": "<string>",
    "featuresCount": 123,
    "machineType": "<string>",
    "created": "2023-11-07T05:31:56Z",
    "finished": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

customerId
string<uuid>
required
modelId
string<uuid>
required
version
string
required

Body

machineType
string | null
Maximum string length: 50

Response

OK

meta
object
data
object